Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdReceipt.FiscalReceipt.Storno

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt.FiscalReceipt
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt.FiscalReceipt.Storno

Enclosing class:
  cmdReceipt.FiscalReceipt

    public static class cmdReceipt.FiscalReceipt.Storno
    extends cmdReceipt.FiscalReceipt

Class handles storno fiscal receipt

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdReceipt.FiscalReceipt.Storno.StornoType` |

  ## Nested classes/interfaces inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt.FiscalReceipt

  `cmdReceipt.FiscalReceipt.FiscalSale, cmdReceipt.FiscalReceipt.FiscalTransaction, cmdReceipt.FiscalReceipt.FreeFiscalTextType, cmdReceipt.FiscalReceipt.Storno`

  ## Nested classes/interfaces inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt

  `cmdReceipt.BarcodeType, cmdReceipt.FiscalReceipt, cmdReceipt.InvoiceClientInfo, cmdReceipt.NonFiscalReceipt, cmdReceipt.PaidMode, cmdReceipt.SeparatingLine, cmdReceipt.TotalResult`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Storno()` |
  `Storno​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, java.lang.String docUNP, cmdReceipt.FiscalReceipt.Storno.StornoType stornoType, java.lang.String docNumber, java.lang.String stornoReason)` | Construct Document Storno To Issue Storno By Doc Number
  `Storno​(java.lang.String opCode, java.lang.String opPwd, java.lang.String stornoUNP, java.lang.String tillNmb, cmdReceipt.FiscalReceipt.Storno.StornoType stornoType, java.lang.String docNumber, java.lang.String docUNP, java.lang.String docDateTime, java.lang.String fmnumber, java.lang.String stornoReason)` | Construct Storno doc for DP-05, DP-25, DP-35, WP-50, DP-150 To open storno document by number

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<java.lang.Boolean>` | `capIssueStornoReceipt​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, java.lang.String stronoUNP, cmdReceipt.FiscalReceipt.Storno.StornoType stornoType, java.lang.String docNumber, java.lang.String stornoReason)` | Validation of parameters for Print Stotno By Document Number
  `java.util.List<java.lang.Boolean>` | `capIssueStornoReceipt​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, java.lang.String stronoUNP, cmdReceipt.FiscalReceipt.Storno.StornoType stornoType, java.lang.String docNumber, java.lang.String docUNP, java.lang.String docDateTime, java.lang.String fiscalMemoryID, java.lang.String stornoReason)` | Validation of parameters for Open new storno document
  `boolean` | `isOpen()` | Check for openFiscalReceipt fiscal receipt through status bits
  `boolean` | `openStornoInvoice​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, java.lang.String stronoUNP, cmdReceipt.FiscalReceipt.Storno.StornoType stornoType, java.lang.String docNumber, java.lang.String docUNP, java.lang.String docDT, java.lang.String FMNumber, java.lang.String invoiceNumber, java.lang.String stornoReason)` | Opening a Storno of document of Invoice
  `void` | `openStornoReceipt()` |
  `boolean` | `openStornoReceipt​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, java.lang.String stronoUNP, cmdReceipt.FiscalReceipt.Storno.StornoType stornoType, java.lang.String docNumber, java.lang.String docUNP, java.lang.String docDT, java.lang.String FMNumber, java.lang.String stornoReason)` | Opening a Storno of document
  `boolean` | `printStornoInvoice()` | Printing a Storno of invoice document by docNumber and invoice number.
  `void` | `printStornoInvoice​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, java.lang.String stronoUNP, cmdReceipt.FiscalReceipt.Storno.StornoType stornoType, java.lang.String docNumber, java.lang.String invoiceNumber, java.lang.String stornoReason)` | Printing a Storno of document Invoice by docNumber and Invoice number
  `boolean` | `printStornoReceipt()` | Printing a Storno of document by docNumber.
  `void` | `printStornoReceipt​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, java.lang.String stronoUNP, cmdReceipt.FiscalReceipt.Storno.StornoType stornoType, java.lang.String docNumber, java.lang.String stornoReason)` | Printing a Storno of document by docNumber

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt.FiscalReceipt

  `cancel, cashInCashOut, closeFiscalReceipt, drawerKickOut, getAllreceipt, getFiscReceipt, getLastDocNumber, getLastUNP, getNextFiscReceipt, getOpCode, getOpPwd, getTillNmb, isInvoice, openFiscalReceipt, openFiscalReceipt, openInvoice, paperCutting, paperFeed, printFreeText, printFreeText, printSeparatingLine, setOpCode, setOpPwd, setTillNmb`

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt

  `printBarcode, setPrintBarcodeData`

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Storno

    public Storno()

  - ### Storno

    public Storno​(java.lang.String opCode, java.lang.String opPwd, java.lang.String stornoUNP, java.lang.String tillNmb, cmdReceipt.FiscalReceipt.Storno.StornoType stornoType, java.lang.String docNumber, java.lang.String docUNP, java.lang.String docDateTime, java.lang.String fmnumber, java.lang.String stornoReason)
    Construct Storno doc for DP-05, DP-25, DP-35, WP-50, DP-150 To open storno document by number
    Parameters:
      `opCode` - -Operator number
      `opPwd` - -Operator password (up to 8 characters).
      `tillNmb` - -Work Place Number (number 1 - 99999)
      `docUNP` - -Unique sale number (21 characters CCCCCCCC-CCCC-DDDDDDD format [0-9A-Za-z] {8} - [O-9A-Za-z] {4} - [0-9] {7})
      `stornoType` - Standard Reason for the document Storno :

      DP-05, DP-25, DP-35, WP-50, DP-150 0 - operator error. 1 - return / replacement. 2 - reduction of the tax base.*

      `docNumber` -
      `docUNP` -
      `docDateTime` -
      `fmnumber` -
      `stornoReason` -

  - ### Storno

    public Storno​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, java.lang.String docUNP, cmdReceipt.FiscalReceipt.Storno.StornoType stornoType, java.lang.String docNumber, java.lang.String stornoReason)
    Construct Document Storno To Issue Storno By Doc Number
    Parameters:
      `opCode` -
      `opPwd` -
      `tillNmb` -
      `docUNP` -
      `stornoType` -
      `docNumber` -
      `stornoReason` -

- ## Method Details

  - ### openStornoReceipt

    public void openStornoReceipt() throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### printStornoReceipt

    public void printStornoReceipt​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, java.lang.String stronoUNP, cmdReceipt.FiscalReceipt.Storno.StornoType stornoType, java.lang.String docNumber, java.lang.String stornoReason) throws java.lang.Exception
    Printing a Storno of document by docNumber

    Supported on DATECS FP-800 / FP-2000 / FP-650 / SK1-21F / SK1-31F/ FMP-10 / FP-550

    Parameters:
      `opCode` -
      `opPwd` -
      `tillNmb` -
      `stronoUNP` -
      `stornoType` -
      `docNumber` -
      `stornoReason` -
    Throws:
      `java.lang.Exception`

  - ### printStornoReceipt

    public boolean printStornoReceipt() throws java.lang.Exception
    Printing a Storno of document by docNumber. Device dependent method to print storno on whole document founded in Electronic Journal by docNumber

    Supported on DATECS FP-800 / FP-2000 / FP-650 / SK1-21F / SK1-31F/ FMP-10 / FP-550

    Throws:
      `java.lang.Exception`

  - ### openStornoReceipt

    public boolean openStornoReceipt​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, java.lang.String stronoUNP, cmdReceipt.FiscalReceipt.Storno.StornoType stornoType, java.lang.String docNumber, java.lang.String docUNP, java.lang.String docDT, java.lang.String FMNumber, java.lang.String stornoReason) throws java.lang.Exception
    Opening a Storno of document
    Parameters:
      `opCode` - -Operator number (number 1 - 30 DP-05, DP-25, DP-35, WP-50, DP-150). (number 1 - 16 FP-800,FP-2000,FP-650,SK1-21F,SK1-31F,FMP-10,FP-550 )
      `opPwd` - -Operator password (up to 8 characters).
      `tillNmb` - -Work Place Number (number 1 - 99999)
      `stronoUNP` - -Unique sale number (21 characters CCCCCCCC-CCCC-DDDDDDD format [0-9A-Za-z] {8} - [O-9A-Za-z] {4} - [0-9] {7})
      `stornoType` - Standard Reason for the document Storno :

      DP-05, DP-25, DP-35, WP-50, DP-150 0 - operator error. 1 - return / replacement. 2 - reduction of the tax base.

      FP-800,FP-2000,FP-650,SK1-21F,SK1-31F,FMP-10,FP-550* E â€“ - operator error. R â€“ - return / replacement. T â€“ - reduction of the tax base.

      `docNumber` - - Number of the document on that will be Storned(reversed) (number 1 - 9999999).
      `docUNP` - UNP of the document that is Storned(reversed).
      `docDT` -
      `FMNumber` -
      `stornoReason` -
    Throws:
      `FiscalException`
      `java.io.IOException`
      `java.lang.Exception`

  - ### printStornoInvoice

    public void printStornoInvoice​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, java.lang.String stronoUNP, cmdReceipt.FiscalReceipt.Storno.StornoType stornoType, java.lang.String docNumber, java.lang.String invoiceNumber, java.lang.String stornoReason) throws java.lang.Exception
    Printing a Storno of document Invoice by docNumber and Invoice number

    Supported on DATECS FP-800 / FP-2000 / FP-650 / SK1-21F / SK1-31F/ FMP-10 / FP-550

    Parameters:
      `opCode` -
      `opPwd` -
      `tillNmb` -
      `stronoUNP` -
      `stornoType` -
      `docNumber` -
      `stornoReason` -
      `invoiceNumber` -
    Throws:
      `java.lang.Exception`

  - ### printStornoInvoice

    public boolean printStornoInvoice() throws java.lang.Exception
    Printing a Storno of invoice document by docNumber and invoice number. Device dependent method to print storno on whole document founded in Electronic Journal by docNumber

    Supported on DATECS FP-800 / FP-2000 / FP-650 / SK1-21F / SK1-31F/ FMP-10 / FP-550

    Throws:
      `java.lang.Exception`

  - ### openStornoInvoice

    public boolean openStornoInvoice​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, java.lang.String stronoUNP, cmdReceipt.FiscalReceipt.Storno.StornoType stornoType, java.lang.String docNumber, java.lang.String docUNP, java.lang.String docDT, java.lang.String FMNumber, java.lang.String invoiceNumber, java.lang.String stornoReason) throws java.lang.Exception
    Opening a Storno of document of Invoice
    Parameters:
      `opCode` - -Operator number (number 1 - 30 DP-05, DP-25, DP-35, WP-50, DP-150). (number 1 - 16 FP-800,FP-2000,FP-650,SK1-21F,SK1-31F,FMP-10,FP-550 )
      `opPwd` - -Operator password (up to 8 characters).
      `tillNmb` - -Work Place Number (number 1 - 99999)
      `stronoUNP` - -Unique sale number (21 characters CCCCCCCC-CCCC-DDDDDDD format [0-9A-Za-z] {8} - [O-9A-Za-z] {4} - [0-9] {7})
      `stornoType` - Standard Reason for the document Storno :

      DP-05, DP-25, DP-35, WP-50, DP-150 0 - operator error. 1 - return / replacement. 2 - reduction of the tax base.

      FP-800,FP-2000,FP-650,SK1-21F,SK1-31F,FMP-10,FP-550* E â€“ - operator error. R â€“ - return / replacement. T â€“ - reduction of the tax base.

      `docNumber` - - Number of the document on that will be Storned(reversed) (number 1 - 9999999).
      `docUNP` - UNP of the document that is Storned(reversed).
      `docDT` -
      `FMNumber` -
      `invoiceNumber` -
      `stornoReason` -
    Throws:
      `FiscalException`
      `java.io.IOException`
      `java.lang.Exception`

  - ### capIssueStornoReceipt

    public java.util.List<java.lang.Boolean> capIssueStornoReceipt​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, java.lang.String stronoUNP, cmdReceipt.FiscalReceipt.Storno.StornoType stornoType, java.lang.String docNumber, java.lang.String stornoReason)
    Validation of parameters for Print Stotno By Document Number
    Parameters:
      `opCode` -
      `opPwd` -
      `tillNmb` -
      `stronoUNP` -
      `stornoType` -
      `docNumber` -
      `stornoReason` -
    Returns:
      All Wrong parameter in Boolean array (false-wrong)

  - ### capIssueStornoReceipt

    public java.util.List<java.lang.Boolean> capIssueStornoReceipt​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, java.lang.String stronoUNP, cmdReceipt.FiscalReceipt.Storno.StornoType stornoType, java.lang.String docNumber, java.lang.String docUNP, java.lang.String docDateTime, java.lang.String fiscalMemoryID, java.lang.String stornoReason)
    Validation of parameters for Open new storno document
    Parameters:
      `opCode` -
      `opPwd` -
      `tillNmb` -
      `stronoUNP` -
      `stornoType` -
      `docNumber` -
      `docUNP` -
      `docDateTime` -
      `fiscalMemoryID` -
      `stornoReason` -
    Returns:
      All Wrong parameter in Boolean array (false-wrong)

  - ### isOpen

    public boolean isOpen() throws java.lang.Exception
    Description copied from class: `cmdReceipt.FiscalReceipt`
    Check for openFiscalReceipt fiscal receipt through status bits
    Overrides:
      `isOpen` in class `cmdReceipt.FiscalReceipt`
    Returns:
      true of Storno is open !
    Throws:
      `java.lang.Exception`